Get list of NFTs
curl --request GET \
--url https://api.zerion.io/v1/nfts/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.zerion.io/v1/nfts/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.zerion.io/v1/nfts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerion.io/v1/nfts/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"links": {
"self": "https://api.zerion.io/v1/nfts/?currency=usd&filter%5Breferences%5D=ethereum%3A0x909899c5dbb5002610dd8543b6f638be56e3b17e%3A57896044618658097711785492504343953928676686534345912800509039648547174119787%2Cpolygon%3A0x3a422450db73c450310e6e24191d4221a5be81b1%3A30&include=nft_collections"
},
"data": [
{
"type": "nfts",
"id": "<string>",
"attributes": {
"contract_address": "0x74ee68a33f6c9f113e22b3b77418b75f85d07d22",
"token_id": "10",
"interface": "erc1155",
"metadata": {
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"content": {
"preview": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
},
"detail": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
},
"audio": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
},
"video": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
}
},
"attributes": [
{
"key": "Rarity",
"value": "common"
}
]
},
"market_data": {
"prices": {
"floor": 123
},
"last_sale": {
"price": 31,
"quantity": {
"int": "12345678",
"decimals": 5,
"float": 123.45678,
"numeric": "123.45678"
}
}
},
"external_links": [
{
"url": "https://www.indexcoop.com",
"type": "website",
"name": "Website"
}
],
"flags": {
"is_spam": true
}
},
"relationships": {
"chain": {
"links": {
"related": "https://api.zerion.io/v1/chains/polygon"
},
"data": {
"type": "chains",
"id": "polygon"
}
},
"nft_collection": {
"data": {
"type": "nft_collections",
"id": 14
}
}
}
}
],
"included": [
{
"type": "nft_collections",
"id": 14,
"attributes": {
"metadata": {
"name": "<string>",
"description": "<string>",
"content": {
"icon": {
"url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
},
"banner": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
}
},
"payment_token_symbol": "<string>"
},
"implementations": [
{
"chain_id": "ethereum",
"address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
}
]
}
}
]
}{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}nfts
Get list of NFTs
Batch-look up NFTs by reference, covering both ERC-721 and ERC-1155, with media and traits.
GET
/
v1
/
nfts
/
Get list of NFTs
curl --request GET \
--url https://api.zerion.io/v1/nfts/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.zerion.io/v1/nfts/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.zerion.io/v1/nfts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerion.io/v1/nfts/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"links": {
"self": "https://api.zerion.io/v1/nfts/?currency=usd&filter%5Breferences%5D=ethereum%3A0x909899c5dbb5002610dd8543b6f638be56e3b17e%3A57896044618658097711785492504343953928676686534345912800509039648547174119787%2Cpolygon%3A0x3a422450db73c450310e6e24191d4221a5be81b1%3A30&include=nft_collections"
},
"data": [
{
"type": "nfts",
"id": "<string>",
"attributes": {
"contract_address": "0x74ee68a33f6c9f113e22b3b77418b75f85d07d22",
"token_id": "10",
"interface": "erc1155",
"metadata": {
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"content": {
"preview": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
},
"detail": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
},
"audio": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
},
"video": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
}
},
"attributes": [
{
"key": "Rarity",
"value": "common"
}
]
},
"market_data": {
"prices": {
"floor": 123
},
"last_sale": {
"price": 31,
"quantity": {
"int": "12345678",
"decimals": 5,
"float": 123.45678,
"numeric": "123.45678"
}
}
},
"external_links": [
{
"url": "https://www.indexcoop.com",
"type": "website",
"name": "Website"
}
],
"flags": {
"is_spam": true
}
},
"relationships": {
"chain": {
"links": {
"related": "https://api.zerion.io/v1/chains/polygon"
},
"data": {
"type": "chains",
"id": "polygon"
}
},
"nft_collection": {
"data": {
"type": "nft_collections",
"id": 14
}
}
}
}
],
"included": [
{
"type": "nft_collections",
"id": 14,
"attributes": {
"metadata": {
"name": "<string>",
"description": "<string>",
"content": {
"icon": {
"url": "https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png"
},
"banner": {
"url": "https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png",
"content_type": "image/png"
}
},
"payment_token_symbol": "<string>"
},
"implementations": [
{
"chain_id": "ethereum",
"address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d"
}
]
}
}
]
}{
"errors": [
{
"title": "Parameter is malformed",
"detail": "Some validation errors will be described here"
}
]
}{
"errors": [
{
"title": "Unauthorized Error",
"detail": "The API key is invalid, please, make sure that you are using a valid key"
}
]
}{
"errors": [
{
"title": "Too many requests",
"detail": "Your request had been throttled"
}
]
}Authorizations
Headers
Set to testnet to return testnet data instead of mainnet.
Available options:
testnet Query Parameters
Keep only NFTs matching these references (comma-separated list). This parameter is currently required.
Each reference is chain_id:contract_address:token_id:
chain_id- the chain the NFT is on, as listed byGET /v1/chains/.contract_address- the contract the NFT belongs to.token_id- the NFT's ID within that contract.
Example:
"ethereum:0x932261f9fc8da46c4a22e31b45c4de60623848bf:93673,polygon:0x3d8c06e65ebf06a9d40f313a35353be06bd46038:104901"
Denominated currency value of returned prices
Available options:
eth, btc, usd, eur, krw, rub, gbp, aud, cad, inr, jpy, nzd, try, zar, cny, chf Related resources to include in the response (comma-separated list), following the JSON:API include convention.
Available options:
nft_collections Was this page helpful?